import { X as r, dw as l, F as t, dz as i, gA as u, G as s, Y as m, S as d } from "./603b75d9.js";
import { C as p } from "./4963ac97.js";
import { ColumnValueTooltip as c } from "./62f393ec.js";
import "react";
import "react-dom";
import "./ffcffc16.js";
import "./26dac75c.js";
const h = r.div`
  ${l};
  max-height: 32px;

  > .markdown-body {
    margin: 0;
    p {
      line-height: 21px;
    }
  }
`, g = {
  text: d
}, o = (e) => e.text, F = function() {
  return new p(g, (e, a) => {
    const n = e.changeValue ?? o(e);
    return /* @__PURE__ */ t(h, {
      children: /* @__PURE__ */ t(i, {
        children: n
      })
    });
  }, (e) => e.text.value, o).setEditViewFn((e) => /* @__PURE__ */ t(u, {
    defaultValue: e.value,
    autoFocus: !0,
    variant: "borderless",
    onChange: (a) => {
      const n = a.target.value;
      e.onChange(n);
    },
    onBlur: e.onChangeEnd,
    onPressEnter: e.onChangeEnd
  })).setPropertyViewFn((e) => /* @__PURE__ */ t(s, {
    children: e.text.propertyView({
      label: m("table.columnValue"),
      tooltip: c
    })
  })).build();
}();
export {
  F as ColumnMarkdownComp
};
